//
// Created by Mr.V on 2024/1/26.
//

#ifndef TRAIN_RFID_CONFIGUTIL_H
#define TRAIN_RFID_CONFIGUTIL_H
#include <string>
#include <QFileInfo>
#include <QTextCodec>
#include "common.h"
namespace ai_matrix {

};

class ConfigUtil {
public:
    ConfigUtil();
    ~ConfigUtil();

    static bool readBaseConfig(const QString& configFile, QString &errorMessage, ai_matrix::BaseConfig &config);
    static bool readInterfaceConfig(const QString& configFile, QString &errorMessage, ai_matrix::InterfaceConfig &config);
    static bool readSocketServerConfig(const QString& configFile, QString &errorMessage, ai_matrix::SServerConfig &config);


};


#endif //TRAIN_RFID_CONFIGUTIL_H
